package com.chinaitop.agile.feign.service;


import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "depot-system")
public interface OrgFeignService {

	
	/**
	 * 获取有效仓容
	 * @param orgId
	 * @return
	 */
	@RequestMapping(value = "/orgInfo/getOrgYxcr", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	String getOrgYxcr(@RequestParam("orgId") Integer orgId);
	
	
}
